- Main Page
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Member Functions | Private Attributes | List of all members
libepubgen::EPUBTextSink Class Reference

`#include <EPUBTextSink.h>`

## Public Member Functions
| EPUBTextSink ()
void | insertText (const librevenge::RVNGString &text)
void | insertLineBreak ()
void | writeTo (EPUBPackage &package, const char *name)

## Private Attributes
std::vector< librevenge::RVNGString > | m_lines

## Constructor & Destructor Documentation

libepubgen::EPUBTextSink::EPUBTextSink | ( |  | ) |

## Member Function Documentation

void libepubgen::EPUBTextSink::insertLineBreak | ( |  | ) |

void libepubgen::EPUBTextSink::insertText | ( | const librevenge::RVNGString & | text | ) |

void libepubgen::EPUBTextSink::writeTo | ( | EPUBPackage & | package,
|  | const char * | name
| ) |  |

## Member Data Documentation

std::vector<librevenge::RVNGString> libepubgen::EPUBTextSink::m_lines
| private

Referenced by insertLineBreak(), insertText(), and writeTo().

The documentation for this class was generated from the following files:

- EPUBTextSink.h
- EPUBTextSink.cpp